package com.hw.ems.record.mapper;

import com.hw.ems.record.domain.RecordDnbInstant;

import java.util.List;


/**
 * 电实时数据Mapper接口
 *
 * @author YinQ
 * @date 2023-04-07
 */
public interface RecordDnbInstantMapper
{
    /**
     * 查询电实时数据
     *
     * @param objid 电实时数据主键
     * @return 电实时数据
     */
    public RecordDnbInstant selectRecordDnbInstantByObjid(Long objid);

    /**
     * 查询电实时数据列表
     *
     * @param recordDnbInstant 电实时数据
     * @return 电实时数据集合
     */
    public List<RecordDnbInstant> selectRecordDnbInstantList(RecordDnbInstant recordDnbInstant);

    /**
     * 新增电实时数据
     *
     * @param recordDnbInstant 电实时数据
     * @return 结果
     */
    public int insertRecordDnbInstant(RecordDnbInstant recordDnbInstant);

    /**
     * 修改电实时数据
     *
     * @param recordDnbInstant 电实时数据
     * @return 结果
     */
    public int updateRecordDnbInstant(RecordDnbInstant recordDnbInstant);

    /**
     * 删除电实时数据
     *
     * @param objid 电实时数据主键
     * @return 结果
     */
    public int deleteRecordDnbInstantByObjid(Long objid);

    /**
     * 批量删除电实时数据
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordDnbInstantByObjids(String[] objids);

    /**
     * 实时数据
     * @param recordDnbInstant
     * @return
     */
    List<RecordDnbInstant> instantList(RecordDnbInstant recordDnbInstant);

    /**
     * 获取最新实时电数据
     * @param baseDnbInstant
     * @return
     */
    List<RecordDnbInstant> selectRealTimeParentList(RecordDnbInstant baseDnbInstant);
}
